import { Separator } from '../types.js';
import { DataToFcpxmlOptions } from './fcpxml.js';
export { srtToData, dataToSrt } from './srt.js';
export { vttToData, dataToVtt } from './vtt.js';
export { fcpxmlToData, dataToFcpxml, type DataToFcpxmlOptions, } from './fcpxml.js';
export declare const srtToVtt: (text: string, separator?: Separator) => string;
export declare const vttToSrt: (text: string, separator?: Separator) => string;
export declare const fcpxmlToSrt: (text: string, separator?: Separator) => string;
export declare const fcpxmlToVtt: (text: string, separator?: Separator) => string;
export declare const srtToFcpxml: (text: string, fps: number, options?: DataToFcpxmlOptions) => string;
export declare const vttToFcpxml: (text: string, fps: number, options?: DataToFcpxmlOptions) => string;
