import { dataToFcpxml, fcpxmlToData } from './fcpxml.js';
import { dataToSrt, srtToData } from './srt.js';
import { dataToVtt, vttToData } from './vtt.js';
export { srtToData, dataToSrt } from './srt.js';
export { vttToData, dataToVtt } from './vtt.js';
export { fcpxmlToData, dataToFcpxml, } from './fcpxml.js';
export const srtToVtt = (text, separator) => dataToVtt(srtToData(text), separator);
export const vttToSrt = (text, separator) => dataToSrt(vttToData(text), separator);
export const fcpxmlToSrt = (text, separator) => dataToSrt(fcpxmlToData(text), separator);
export const fcpxmlToVtt = (text, separator) => dataToVtt(fcpxmlToData(text), separator);
export const srtToFcpxml = (text, fps, options) => dataToFcpxml(srtToData(text), fps, options);
export const vttToFcpxml = (text, fps, options) => dataToFcpxml(vttToData(text), fps, options);
